API referenceWebhooks

Rotate the signing secret

POST/webhooks/{id}/signing-secret/rotate

Issues a new whsec_ secret and returns it; deliveries are signed with it from now on.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/string/signing-secret/rotate"
{  "object": "webhook",  "id": "string",  "signing_secret": "string"}